
## General ##

* Re-write font system. (The "simple text" layer is a dirty,dirty hack)
* Use pre-multiplied alpha to speed up compositing
* Solidify plug in system to be more robust (Auto-detect and load?)
* Solidify and codify XML file format into XML schema
* Make layer and value-node parameters handled in the same way. (currently different)
* Move to a garbage-collected system rather than reference counted
* Integrate a scripting language (Possibly better suited for libsynfigapp?)
* Finish and migrate to a new surface layer class
	- Arbitrary color/alpha channels
	- Surface locking/unlocking
	- Copy-on-write
* Make the "Value" class extendable by plug-ins
* Add paremeter mechanism to render target class to allow user to control things like:
	- Color depth
	- Codec
	- etc.
* Review/rewrite error-handling and reporting mechanism
* Migrate public API to be more language agnostic in nature
* Network-distributed rendering
* Solid multi-threaded rendering


## Wanted Plug-Ins ##

* mod_svg: SVG Import/Export
* mod_quicktime: Support for importing/rendering-to quicktime movies (MacOS X and Windows Only)
* mod_imageio: Support for Apple's ImageIO framework (MacOS X Only)
* mod_tiff: Using libtiff
* mod_wmv: Support for Windows Media for importing/rendering-to wmv/avi movies (Windows only)

